<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
  <meta charset="UTF-8">
  <title>Approval Loan</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
  <h1>
    Approval Loan
    <small></small>
  </h1>
  <ol class="breadcrumb">
    <li class="treeview active"> Setting</li>
    <li class="active"> Approval Loan</li>
  </ol>
</section>

<section layout:fragment="main" class="content">


  <div class="row">

    <div class="col-md-6">
      <!-- Horizontal Form -->
      <div class="box box-info">
        <div class="box-header with-border">
          <h3 class="box-title">Approval Loan</h3>
        </div>
        <!-- /.box-header -->
        <!-- form start -->
        <form class="form-horizontal" th:action="@{/setting/approval/loan/save}" th:object="${loanApprovalSetting}" method="post" enctype="multipart/form-data">
          <div class="box-body">


            <div class="form-group">
              <label for="employes" class="col-sm-2 control-label">Employee:</label>

              <div class="col-sm-10">
                <select class="form-control select2" name="employes" th:field="*{employes}" id="employes" style="width: 100%;">
                  <option th:each="data : ${listEmployes}"
                          th:text="${data.getNumber() + ' - ' + data.getFullName()}"
                          th:value="${data.id}">sdasd</option>
                </select>
              </div>
            </div>

            <div class="form-group">
              <label for="sequence" class="col-sm-2 control-label">Sequence</label>

              <div class="col-sm-10">
                <input type="text" class="form-control" th:field="*{sequence}" name="sequence" id="sequence" placeholder="sequence">
                <p th:if="${#fields.hasErrors('sequence')}" th:errors="*{sequence}" class="text-danger"> Mata Anggaran Error</p>
              </div>
            </div>

          </div>
          <!-- /.box-body -->
          <div class="box-footer">

            <a th:href="@{/setting/aproval/loan}" class="btn btn-default">Cancel</a>
            <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>

          </div>
          <!-- /.box-footer -->
        </form>
      </div>
    </div>
  </div>


</section>

<section layout:fragment="footer" class="script">
  <script>
    $(function () {
      //Initialize Select2 Elements
      $('.select2').select2()

      //Datemask dd/mm/yyyy
      $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
      //Datemask2 mm/dd/yyyy
      $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
      //Money Euro
      $('[data-mask]').inputmask()

      //Date range picker
      $('#reservation').daterangepicker()
      //Date range picker with time picker
      $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
      //Date range as a button
      $('#daterange-btn').daterangepicker(
              {
                ranges   : {
                  'Today'       : [moment(), moment()],
                  'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                  'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                  'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                  'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                  'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                },
                startDate: moment().subtract(29, 'days'),
                endDate  : moment()
              },
              function (start, end) {
                $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
              }
      )

      //Date picker
      $('#startDateString').datepicker({
        autoclose: true
      })

      $('#endDateString').datepicker({
        autoclose: true
      })

      //iCheck for checkbox and radio inputs
      $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
        checkboxClass: 'icheckbox_minimal-blue',
        radioClass   : 'iradio_minimal-blue'
      })
      //Red color scheme for iCheck
      $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
        checkboxClass: 'icheckbox_minimal-red',
        radioClass   : 'iradio_minimal-red'
      })
      //Flat red color scheme for iCheck
      $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
        checkboxClass: 'icheckbox_flat-green',
        radioClass   : 'iradio_flat-green'
      })

      //Colorpicker
      $('.my-colorpicker1').colorpicker()
      //color picker with addon
      $('.my-colorpicker2').colorpicker()

      //Timepicker
      $('.timepicker').timepicker({
        showInputs: false
      })
    })
  </script>
  <script>
    $(".js-example-placeholder-single").select2({
      placeholder: "Pilih Salah Satu",
      allowClear: true
    });

    $('.simpan').click(function () {
      Swal.fire({
        position: 'top-end',
        type: 'success',
        title: 'Your work has been saved',
        showConfirmButton: false
      })
    });
  </script>
</section>
</body>
</html>
</body>
</html>